Get company filings
curl --request GET \
--url https://sacra.com/api/v1/filings/ \
--header 'Authorization: <api-key>'import requests
url = "https://sacra.com/api/v1/filings/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sacra.com/api/v1/filings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filings": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Annual Report 2024",
"type": "10-K",
"format": "pdf",
"region": "US",
"filed_at": "2025-03-15T00:00:00Z",
"created_at": "2025-03-16T08:00:00Z",
"updated_at": "2025-03-16T08:00:00Z",
"url": "https://sacra.com/f/3qM9xK2pR7vT8nL4cYwJ6aH1uB5dZ0eQ"
}
],
"meta": {
"company_id": "42",
"company_domain": "spacex.com",
"company_name": "SpaceX",
"filing_type_filter": null
},
"pagination": {
"next": "https://sacra.com/api/v1/filings/?company_domain=spacex.com&cursor=cD0yMDI1",
"previous": null,
"page_size": 10,
"current_page_items": 1
}
}"Either company_domain or company_id parameter is required""Company not found for domain: spacex.com"Filings
Get company filings - Filings API
Returns filings for a specific company with cursor-based pagination. Requires either company_domain or company_id.
GET
/
api
/
v1
/
filings
/
Get company filings
Authorizations
Authenticate using one of two formats:
- Organization/user token:
Token <your-token> - Stytch JWT:
Bearer <your-jwt>
Query Parameters
Domain of the company (e.g. spacex.com).
Internal ID of the company. Takes priority over company_domain.
Cursor for pagination (provided by next/previous links in response).
Filter filings filed on or before this datetime (ISO 8601).
Filter filings filed on or after this datetime (ISO 8601).
Filter by filing type (e.g. 10-K).
Number of results per page. Default: 10, max: 50.